Package org.eclipse.m2m.atl.core.ant.tasks

## Class LoadModelTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.eclipse.m2m.atl.core.ant.tasks.AbstractAtlTask
      - - org.eclipse.m2m.atl.core.ant.tasks.LoadModelTask

All Implemented Interfaces:
  `java.lang.Cloneable`

    public class LoadModelTask
    extends AbstractAtlTask

Model loading task.

### Field Summary

Fields
`protected java.lang.String` `factory` Only used for EMFVM launch.
`protected java.lang.String` `metamodel`
`protected java.lang.String` `modelHandler` Only used for RegularVM launch.
`protected java.lang.String` `name`
`protected java.lang.String` `nsUri`
`protected java.io.File` `path`
`protected java.lang.String` `uri`

### Fields inherited from class org.eclipse.m2m.atl.core.ant.tasks.AbstractAtlTask

`DEFAULT_LAUNCHER, DEFAULT_MODEL_HANDLER, LAUNCHER_PROPERTY, OPTION_MODEL_HANDLER, OPTION_MODEL_NAME, OPTION_MODEL_PATH, OPTION_NEW_MODEL, RESULT_REFERENCE`

### Fields inherited from class org.apache.tools.ant.Task

`target, taskName, taskType, wrapper`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
`LoadModelTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addConfiguredInjector​(Injector injector)` Adds an injector.
`void` `execute()`
`void` `setFactory​(java.lang.String factory)`
`void` `setMetamodel​(java.lang.String metamodel)`
`void` `setModelHandler​(java.lang.String modelHandler)`
`void` `setName​(java.lang.String name)`
`void` `setNsUri​(java.lang.String nsUri)`
`void` `setPath​(java.io.File path)`
`void` `setUri​(java.lang.String uri)`

### Methods inherited from class org.eclipse.m2m.atl.core.ant.tasks.AbstractAtlTask

`error, error, getDefaultModelFactory, getLauncher, getLauncherName, init, newModel, newModel, newReferenceModel`

### Methods inherited from class org.apache.tools.ant.Task

`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    protected java.lang.String name

#### metamodel

    protected java.lang.String metamodel

#### modelHandler

    protected java.lang.String modelHandler

Only used for RegularVM launch.

#### factory

    protected java.lang.String factory

Only used for EMFVM launch.

#### path

    protected java.io.File path

#### nsUri

    protected java.lang.String nsUri

#### uri

    protected java.lang.String uri

### Constructor Detail

#### LoadModelTask

    public LoadModelTask()

### Method Detail

#### setName

    public void setName​(java.lang.String name)

#### setMetamodel

    public void setMetamodel​(java.lang.String metamodel)

#### setModelHandler

    public void setModelHandler​(java.lang.String modelHandler)

#### setFactory

    public void setFactory​(java.lang.String factory)

#### setPath

    public void setPath​(java.io.File path)

#### setNsUri

    public void setNsUri​(java.lang.String nsUri)

#### setUri

    public void setUri​(java.lang.String uri)

#### addConfiguredInjector

    public void addConfiguredInjector​(Injector injector)

Adds an injector.

Parameters:
  `injector` - the given injector

#### execute

    public void execute()
                 throws org.apache.tools.ant.BuildException

Overrides:
  `execute` in class `AbstractAtlTask`
Throws:
  `org.apache.tools.ant.BuildException`
See Also:
  `AbstractAtlTask.execute()`